package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuUser;
import com.cku.model.CkuUserWithBLOBs;

public interface CkuUserMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuUserWithBLOBs record);

    int insertSelective(CkuUserWithBLOBs record);

    CkuUserWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuUserWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuUserWithBLOBs record);

    int updateByPrimaryKey(CkuUser record);
    
    
	/**
	 * 
	 * @Description：根据牵犬师会员号获取会员信息
	 * @author: zhuoHeng
	 * @version: 2016年3月17日 上午9:26:08
	 */
	public List<CkuUser> getUserMessage (@Param("idNum") String idNum);

	
}